Get customer usage summary
curl --request GET \
--url https://us.api.flexprice.io/v1/customers/usage \
--header 'x-api-key: <api-key>'import requests
url = "https://us.api.flexprice.io/v1/customers/usage"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://us.api.flexprice.io/v1/customers/usage', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"customer_id": "<string>",
"features": [
{
"current_usage": "<string>",
"feature": {
"alert_settings": {
"alert_enabled": true,
"critical": {
"threshold": "<string>"
},
"info": {
"threshold": "<string>"
},
"warning": {
"threshold": "<string>"
}
},
"created_at": "2023-11-07T05:31:56Z",
"created_by": "<string>",
"description": "<string>",
"environment_id": "<string>",
"group": {
"created_at": "2023-11-07T05:31:56Z",
"entity_ids": [
"<string>"
],
"entity_type": "<string>",
"id": "<string>",
"lookup_key": "<string>",
"metadata": {},
"name": "<string>",
"status": "<string>",
"updated_at": "2023-11-07T05:31:56Z"
},
"group_id": "<string>",
"id": "<string>",
"lookup_key": "<string>",
"metadata": {},
"meter": {
"aggregation": {
"expression": "<string>",
"field": "<string>",
"group_by": "<string>",
"multiplier": "<string>"
},
"created_at": "2024-03-20T15:04:05Z",
"event_name": "api_request",
"filters": [
{
"key": "<string>",
"values": [
"<string>"
]
}
],
"id": "550e8400-e29b-41d4-a716-446655440000",
"name": "API Usage Meter",
"status": "published",
"tenant_id": "tenant123",
"updated_at": "2024-03-20T15:04:05Z"
},
"meter_id": "<string>",
"name": "<string>",
"reporting_unit": {
"conversion_rate": 123,
"unit_plural": "<string>",
"unit_singular": "<string>"
},
"tenant_id": "<string>",
"unit_plural": "<string>",
"unit_singular": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"updated_by": "<string>"
},
"is_enabled": true,
"is_soft_limit": true,
"is_unlimited": true,
"next_usage_reset_at": "2023-11-07T05:31:56Z",
"sources": [
{
"config_value": {},
"entitlement_id": "<string>",
"entity_id": "<string>",
"entity_name": "<string>",
"is_enabled": true,
"quantity": 123,
"static_value": "<string>",
"subscription_id": "<string>",
"usage_limit": 123
}
],
"total_limit": 123,
"usage_percent": "<string>"
}
],
"pagination": {
"limit": 123,
"offset": 123,
"total": 123
},
"period": {
"end_time": "2023-11-07T05:31:56Z",
"period": "<string>",
"start_time": "2023-11-07T05:31:56Z"
}
}{
"http_status_code": 123,
"message": "<string>"
}{
"http_status_code": 123,
"message": "<string>"
}Customers
Get customer usage summary
Use when showing a customer’s usage (e.g. portal or overage alerts). Identify by customer_id or customer_lookup_key; supports filters.
GET
/
customers
/
usage
Get customer usage summary
Authorizations
Enter your API key in the format x-api-key <api-key>*
Query Parameters
⌘I

